Package org.jfree.layouting.util

## Class ChainingComponent.RecordedCall

- java.lang.Object
- - org.jfree.layouting.util.ChainingComponent.RecordedCall

- Enclosing class:
    ChainingComponent

      public static class ChainingComponent.RecordedCall
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RecordedCall​(int method, java.lang.Object parameters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMethod​()` |
    `java.lang.Object` | `getParameters​()` |
    `int` | `getState​()` |
    `void` | `setState​(int state)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordedCall

          public RecordedCall​(int method,
                              java.lang.Object parameters)

  - ### Method Detail

    - #### getState

          public int getState​()

    - #### setState

          public void setState​(int state)

    - #### getMethod

          public int getMethod​()

    - #### getParameters

          public java.lang.Object getParameters​()